### Method

# Spelling Checker list_corrections

#### Declaration [src]

    char**
    spelling_checker_list_corrections (
      SpellingChecker* self,
      const char* word
    )

#### Description [src]

Retrieves a list of possible corrections for `word`.

#### Parameters

`word`

  Type: `const char*`

  A word to be checked.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: An array of `char*`

A list of possible corrections, or `NULL`.

The array is `NULL`-terminated.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
Each element is a NUL terminated UTF-8 string.